
Foreman - Feature #8385

Restore context to last used taxonomies at log in

11/13/2014 03:20 AM - Stephen Benjamin

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1937

  

Description

Regression in 1.7 over 1.6 behavior:

- Select an organizational context different than your default (if any)

- Log out or let the session expire

- Log in

- You'll be return to 'Any Context' (or other default) instead of the previously chosen org

Related issues:

Related to Foreman - Bug #3845: user login session ending clears chosen organ... Closed 12/10/2013

History

#1 - 11/13/2014 03:21 AM - Stephen Benjamin

- Subject changed from Taxonomies are no longer saved and restore at log out to Taxonomies are no longer saved and restored at log out

#2 - 11/13/2014 03:26 AM - Dominic Cleal

Taxonomies have never been saved on logout, or at least, it wasn't intended.  They should be saved on session expiration, which is a different case. 

Which are you using?

#3 - 11/13/2014 09:16 AM - Stephen Benjamin

- Tracker changed from Bug to Feature

- Subject changed from Taxonomies are no longer saved and restored at log out to Restore context to last used taxonomies at log in

- Priority changed from High to Normal

Hmm, I thought I tried both, but it is working on session expiry.. sorry.

I'll make this a feature request then!

#4 - 11/13/2014 09:23 AM - Dominic Cleal

- Related to Bug #3845: user login session ending clears chosen organization added

#5 - 11/14/2014 10:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1937 added

- Pull request deleted ()

#6 - 04/05/2016 09:57 AM - Tomer Brisker

- Status changed from Ready For Testing to New
